Subject: Re: Oddidies in the .mailmap parser & future syntax extensions

From: Junio C Hamano <[email-masked]>
Date: Fri, 10 Sep 2021 13:20:06 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> Who wants to use mailmap, *and* map one e-mail address to another, *and*
> has an entry explicitly mapping the name, but *would* mind having git be
> auto-smart and follow the chain of that explicit name mapping if there's
> an entry after that with an an e-mail -> that-earlier-email mapping?

Would it make a difference if I point out that at least for our
project, we want to keep the .mailmap lines be sorted?  I suspect
that a "list must be mechanically sorted" requirement may make it
awkward to also have an "if name is missing, use the last matching
explicit name".  Also, it makes removing one entry among many for
the same person less straight-forward (if you are removing the one
that happens to be listed first, you need to move the name to the
next entry in order to avoid losing it).